org.bouncycastle.asn1.x9

## Class X9ECPoint

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.x9.X9ECPoint

All Implemented Interfaces:
  DEREncodable

    public class X9ECPoint
    extends ASN1Encodable

class for describing an ECPoint as a DER object.

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`X9ECPoint(org.bouncycastle.math.ec.ECCurve c, ASN1OctetString s)`
`X9ECPoint(org.bouncycastle.math.ec.ECPoint p)`

### Method Summary

Methods
`org.bouncycastle.math.ec.ECPoint` `getPoint()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### X9ECPoint

    public X9ECPoint(org.bouncycastle.math.ec.ECPoint p)

#### X9ECPoint

    public X9ECPoint(org.bouncycastle.math.ec.ECCurve c,
             ASN1OctetString s)

### Method Detail

#### getPoint

    public org.bouncycastle.math.ec.ECPoint getPoint()

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream.

      ECPoint ::= OCTET STRING

Octet string produced using ECPoint.getEncoded().

Specified by:
  `toASN1Object` in class `ASN1Encodable`